Skip to content

Rental property schedule

Request

Produces a Rental Property Schedule report for the specified fund, detailing income, expenses, and depreciation for fund-owned rental properties to support accurate tax return lodgement.

Security
Class_oAuth(Required scopes: fund.read)
Path
businessCodestringrequired

Class business code

Example:demo-business
fundCodestringrequired

Class entity code

Example:demo-fund
Query
outputFormatstringrequired

Specifies the desired output format for the generated report. Accepted values are pdf, csv, or rtf.

Enum:"pdf""csv""rtf"
Example:outputFormat=pdf
yearintegerrequired

The financial year to retrieve information

Example:year=2024
isReportHeaderstring

This will turn on the report header logo.

Enum:"Yes""No"
Example:isReportHeader=No
isRoundingstring

Indicates whether monetary amounts in the report should be rounded to the nearest whole dollar.

Enum:"Yes""No"
Example:isRounding=No
isDraftWMstring

This will turn on a draft watermark on each page.

Enum:"Yes""No"
Example:isDraftWM=No
isDollarSignstring

This will display a '$' in the report.

Enum:"Yes""No"
Example:isDollarSign=No
isNegativeAmtstring

To display negative amounts with brackets or a minus sign.

Enum:"Brackets""Minus Sign"
Example:isNegativeAmt=Brackets
isPageFooterstring

This will turn on the page footer.

Enum:"Yes""No""Page Numbers Only"
Example:isPageFooter=Yes
isSepPagePerAccountstring
Enum:"Yes""No"
Example:isSepPagePerAccount=Yes
includeComparativesstring
Enum:"Yes""No"
Example:includeComparatives=Yes
Headers
Content-Typestringrequired

Specifies the media type expected in the response. Must always be set to application/pdf regardless of the desired output format.

Example:application/pdf
curl -i -X POST \
  'https://api.class-pie.com.au/api/1.0/f/demo-business/demo-fund/report-data/report-generator/RentalPropertySchedule?outputFormat=pdf&year=2024&isReportHeader=No&isRounding=No&isDraftWM=No&isDollarSign=No&isNegativeAmt=Brackets&isPageFooter=Yes&isSepPagePerAccount=Yes&includeComparatives=Yes' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/pdf'

Responses

Success (Ok)

Response
No content